import OrderBook from "../apiwrapper/orderbook/OrderBook.js";
import Transaction from "../apiwrapper/transaction/Transaction.js";
import AbstractWorker from "../tradingbot/worker/AbstractWorker.js";

export default class WebViewDataProvider {
    /**
     * @returns {string[]}
     */
    getExistingTradingPairs() {
        return [];
    }

    /**
     * @returns {string[]}
     */
    getAvailableAssets() {
        return [];
    }

    /**
     * @type {Map<string, number>}
     */
    getBalances(){
        return null;
    }

    /**
     * @param {string} symbol 
     * @returns {OrderBook}
     */
    getOrderBook(symbol) {
        return null;
    }

    /**
     * @param {string} symbol 
     * @returns {Transaction[]}
     */
    getActiveTransactions(symbol) {
        return [];
    }

    /**
     * @param {string} symbol 
     * @returns {Transaction[]}
     */
    getAllTransactions(symbol) {
        return [];
    }

    /**
     * @returns {AbstractWorker[]}
     */
    getWorkers(){
        return [];
    }
}